concept_check.h File Reference

Go to the source code of this file.

## Macros

#define | __glibcxx_class_requires(_a, _b)
#define | __glibcxx_class_requires2(_a, _b, _c)
#define | __glibcxx_class_requires3(_a, _b, _c, _d)
#define | __glibcxx_class_requires4(_a, _b, _c, _d, _e)
#define | __glibcxx_function_requires(...)

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <iterator>.

Definition in file concept_check.h.